<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 1</title>
	<style type="text/css">
	canvas{
		width: 800px;
		height: 400px;
		background-color: #999999;
		margin: 0px auto;
		display: block;
	}
	</style>
	<script type="text/javascript">
	
	let canvas;
	let ctx;

	window.addEventListener("load",inicio);

	function inicio(){
		canvas = document.querySelector("canvas");
		ctx = canvas.getContext("2d");
		//dibujo1();
		//dibujo2();
		//dibujo3();
		//dibujo4();
		//dibujo5();
		//dibujo6();
		//dibujo7();
		//dibujo8();
		//dibujo9();
		//dibujo10();
		dibujo11();
		//dibujo12();
	}

	function dibujo1(){
		ctx.fillRect(25,25,100,100);
		ctx.strokeRect(200,100,50,50);
	}

	function dibujo2(){
		ctx.fillRect(25,25,100,100);
		ctx.clearRect(45,45,60,60);
		ctx.strokeRect(50,50,50,50);
	}

	function dibujo3(){
		ctx.fillRect(5,5,100,100);
		ctx.fillRect(200,5,100,100);
		ctx.fillRect(5,200,100,100);
		ctx.fillRect(200,200,100,100);
	}

	function dibujo4(){
		ctx.fillStyle = "rgb(200,0,0)";
		ctx.fillRect(10,10,55,50);

		ctx.fillStyle = "rgba(0,0,200,0.5)";
		ctx.fillRect(30,30,55,50);
	}

	function dibujo5(){
		for (let x=0; x<600; x+=60){
			ctx.fillStyle = "rgb(200,0,0)";
			ctx.fillRect(10+x,10,55,50);
			ctx.fillStyle = "rgba(0,0,200,0.5)";
			ctx.fillRect(10+x,80,55,50);
		}
	}

	function dibujo6(){
		for (let x=0; x<600; x+=60){
			//ctx.fillStyle = "rgb(200,0,0)";
			ctx.fillRect(10+x,10,55,50);
			ctx.strokeRect(10+x,80,55,50);
		}
	}

	function dibujo7(){
		ctx.beginPath();
		ctx.arc(75,75,50,0,Math.PI*2,true); //circulo exterior

		ctx.moveTo(110,75);
		ctx.arc(75,75,35,0,Math.PI,false); //boca

		ctx.moveTo(65,65);
		ctx.arc(60,65,5,0,Math.PI*2,true); //ojo izquierdo

		ctx.moveTo(95,65);
		ctx.arc(90,65,5,0,Math.PI*2,true); //ojo derecho

		ctx.stroke(); //dibuja
	}

	function dibujo8(){
		//triangulo relleno
		ctx.beginPath();
		ctx.moveTo(25,25);
		ctx.lineTo(105,25);
		ctx.lineTo(25,105);
		ctx.fill();

		//triangulo contorneado
		ctx.beginPath();
		ctx.moveTo(125,125);
		ctx.lineTo(125,45);
		ctx.lineTo(45,125);
		ctx.closePath();
		ctx.stroke();
	}

	function dibujo9(){
		ctx.beginPath();
		ctx.moveTo(0,10);
		ctx.lineTo(100,10);
		ctx.lineTo(100,110);
		ctx.lineTo(100,110);
		ctx.lineTo(200,110);
		ctx.lineTo(200,10);
		ctx.lineTo(300,10);
		ctx.lineTo(300,110);
		ctx.lineTo(400,110);
		ctx.lineTo(400,10);
		ctx.lineTo(800,10);
		ctx.stroke();
	}

	function dibujo10(){
		ctx.beginPath();
		ctx.moveTo(0,10);
		ctx.lineTo(100,10);
		ctx.lineTo(100,110);
		ctx.lineTo(100,110);
		ctx.lineTo(200,110);
		ctx.lineTo(200,10);
		ctx.lineTo(300,10);
		ctx.lineTo(300,110);
		ctx.lineTo(400,110);
		ctx.lineTo(400,10);
		ctx.lineTo(800,10);
		ctx.lineTo(800,300);
		ctx.lineTo(0,300);
		ctx.fill();
	}

	function dibujo11(){
		ctx.beginPath();
		ctx.arc(70,70,50,0,Math.PI*2,true);
		ctx.fill();

		ctx.moveTo(170,200);
		ctx.arc(150,200,20,0,Math.PI*2,true);
		ctx.stroke();
	}

	function dibujo12(){
		let colores = new Array("red","blue","green");
		for (let c=15,d=0; c<=345; c+=15,d++){
			ctx.beginPath();
			ctx.fillStyle = colores[d%3];
			ctx.arc(75,75,50,c*Math.PI/180,(c+15)*Math.PI/180,false);
			ctx.fill();
		}
	}

	</script>
</head>
<body>
	<canvas id="canvas" width="800" height="400">
		Tu navegador no admite el elemento canvas.
	</canvas>
</body>
</html>